// 引入 request 文件
// import request from '@/utils/request'
// import httpRequest from "@/utils/request.js"

import Request from "@/utils/request.js"
// uni.$httpRequest = Request.httpRequest
// uni.$httpTokenRequest = Request.httpTokenRequest


/**
 * 登录凭证校验
 * @param data 请求参数
 */
export function loginCodeCheck(data) {
	return Request.httpRequest({
		method: 'POST',
		url: '/api/login/loginCodeCheck',
		data,
	})
}

/**
 * 授权后更新用户信息
 * @param data 请求参数
 */
export function setUserInfo(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/member/setUserInfo',
		data,
	})
}

/**
 * 上传图片
 * @param data 请求参数
 */
export function uploadimgfile(data) {
	return Request.httpRequest({
		method: 'POST',
		url: '/api/Uploadfile/uploadimgfile',
		data,
	})
}


/**
 * 用户协议
 * @param data 请求参数
 */
export function getUserAgreement(data) {
	return Request.httpRequest({
		method: 'GET',
		url: '/api/wxpaynotify/useragreement',
		data
	})
}

/**
 * 隐私政策
 * @param data 请求参数
 */
export function getPrivacyPolicy(data) {
	return Request.httpRequest({
		method: 'GET',
		url: '/api/wxpaynotify/privacypolicy',
		data
	})
}


