// 引入 request 文件
// import request from '@/utils/request'
import Request from "@/utils/request.js"

/**
 * 提交意见反馈
 * @param data 请求参数
 */
export function submitFeedback(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/member/addfeedback',
		data,
	})
}

/**
 * 用户详情
 * @param data 请求参数
 */
export function getUserInfo(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/usercenter',
		data,
	})
}

/**
 * 资源订单	
 * @param data 请求参数
 */
export function getServiceOrder(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/serviceorder',
		data,
	})
}

/**
 * 我的扩列墙	
 * @param data 请求参数
 */
export function getMessageBoard(data) {
	return Request.httpRequest({
		method: 'GET',
		url: '/api/member/messageboard',
		data,
	})
}

/**
 * 我的积分	
 * @param data 请求参数
 */
export function getMyintegral(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/myintegral',
		data,
	})
}

/**
 * 我的积分 - 获取积分提现比例	
 */
export function getproportion(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/getproportion',
		data,
	})
}

/**
 * 我的积分 - 积分提现
 */
export function addwithdraw(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/member/addwithdraw',
		data,
	})
}

/**
 * 获取提现数据	
 */
export function getwithdraw(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/getwithdraw',
		data,
	})
}

/**
 *推广团队
 */
export function promotionteam(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/promotionteam',
		data,
	})
}


/**
 *获取充值数据
 */
export function getrecharge(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/getrecharge',
		data,
	})
}


/**
 *用户充值
 */
export function addrecharge(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/member/addrecharge',
		data,
	})
}



/**
 *vip权益说明
 */
export function getvipequity(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/getvipequity',
		data,
	})
}


/**
 *获取VIP充值数据
 */
export function getvip(data) {
	return Request.httpTokenRequest({
		method: 'GET',
		url: '/api/member/getvip',
		data,
	})
}


/**
 *用户购买VIP
 */
export function buyvip(data) {
	return Request.httpTokenRequest({
		method: 'POST',
		url: '/api/member/buyvip',
		data,
	})
}