// import type { LoginResult } from '@/types/member'
import {
	defineStore
} from 'pinia'
import {
	ref
} from 'vue'

// 定义 Store
export const useMemberStore = defineStore(
	'member',
	() => {
		// 会员信息
		const profile = ref()
		// 保存会员信息，登录时使用
		const setProfile = (val) => {
			profile.value = val
		}
		// 清理会员信息，退出时使用
		const clearProfile = () => {
			profile.value = undefined
		}

		const token = ref()
		const setToken = (val) => {
			token.value = val
		}
		const clearToken = () => {
			token.value = undefined
		}

		const selectCity = ref()
		const setSelectCity = (val) => {
			selectCity.value = val
		}
		const clearSelectCity = () => {
			selectCity.value = undefined
		}


		// 会员信息
		const invitation_uid = ref()
		// 保存会员信息，登录时使用
		const setInvitationUid = (val) => {
			invitation_uid.value = val
		}
		// 清理会员信息，退出时使用
		const clearInvitationUid = () => {
			invitation_uid.value = undefined
		}
		// 记得 return
		return {
			profile,
			setProfile,
			clearProfile,

			token,
			setToken,
			clearToken,

			selectCity,
			setSelectCity,
			clearSelectCity,

			invitation_uid,
			setInvitationUid,
			clearInvitationUid
		}
	}, {
		// 网页端配置
		// persist: true,
		// 小程序端配置
		persist: {
			storage: {
				getItem(key) {
					return uni.getStorageSync(key)
				},
				setItem(key, value) {
					uni.setStorageSync(key, value)
				},
			},
		},
	},
)