"use strict";
const common_vendor = require("../common/vendor.js");
require("../store/index.js");
const whiteList = [
  "/pages/index/index",
  "/pages/message_board/index",
  "/pages/my/index"
];
function hasPermission(url) {
  let token = common_vendor.index.getStorageSync("token");
  if (whiteList.indexOf(url) !== -1 || token) {
    console.log("跳转的页面在白名单内或是已登录");
    return true;
  }
  console.log("跳转的页面不在白名单内且未登录");
  return false;
}
common_vendor.index.addInterceptor("navigateTo", {
  // 页面跳转前进行拦截, invoke根据返回值进行判断是否继续执行跳转
  invoke(e) {
    console.log("navigateTo", e);
    if (!hasPermission(e.url)) {
      common_vendor.index.reLaunch({
        url: "/pages/login/index"
      });
      return false;
    }
    return true;
  },
  success(e) {
  }
});
common_vendor.index.addInterceptor("switchTab", {
  // tabbar页面跳转前进行拦截
  invoke(e) {
    if (!hasPermission(e.url)) {
      common_vendor.index.reLaunch({
        url: "/pages/login/index"
      });
      console.log("跳转的页面在白名单内或是已登录");
      return false;
    }
    console.log("跳转的页面不在白名单内且未登录");
    return true;
  },
  success(e) {
  }
});
