"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "tabbar",
  props: {
    currentPage: null
  },
  setup(__props) {
    const query = __props;
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const currentItem = common_vendor.ref(0);
    const tabbarList = common_vendor.ref([
      {
        id: 0,
        path: "/pages/index/index",
        icon: "/static/tabbar/home.png",
        selectIcon: "/static/tabbar/select_home.png",
        text: "首页",
        width: "49rpx",
        height: "40rpx"
      },
      {
        id: 1,
        path: "/pages/message_board/index",
        icon: "/static/tabbar/message_board.png",
        selectIcon: "/static/tabbar/select_message_board.png",
        text: "韵味广场",
        width: "47rpx",
        height: "41rpx"
      },
      {
        id: 2,
        path: "/pages/my/index",
        icon: "/static/tabbar/my.png",
        selectIcon: "/static/tabbar/select_my.png",
        text: "我的",
        width: "42rpx",
        height: "46rpx"
      }
    ]);
    common_vendor.onMounted(() => {
      currentItem.value = query.currentPage;
    });
    const changeItem = (item) => {
      common_vendor.index.switchTab({
        url: item.path
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(tabbarList.value, (item, index, i0) => {
          return {
            a: currentItem.value == item.id ? item.selectIcon : item.icon,
            b: item.width,
            c: item.height,
            d: common_vendor.t(item.text),
            e: common_vendor.n(currentItem.value == item.id ? "item-active" : ""),
            f: common_vendor.o(($event) => changeItem(item), index),
            g: index
          };
        }),
        b: common_vendor.unref(safeAreaInsets).bottom + 0 + "px"
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/components/tabbar/tabbar.vue"]]);
wx.createComponent(Component);
