"use strict";
const common_vendor = require("../../common/vendor.js");
const api_home = require("../../api/home.js");
require("../../store/index.js");
const store_modules_member = require("../../store/modules/member.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_up_grid_item2 = common_vendor.resolveComponent("up-grid-item");
  const _easycom_up_grid2 = common_vendor.resolveComponent("up-grid");
  const _easycom_tabbar2 = common_vendor.resolveComponent("tabbar");
  (_easycom_up_grid_item2 + _easycom_up_grid2 + _easycom_tabbar2)();
}
const _easycom_up_grid_item = () => "../../uni_modules/uview-plus/components/u-grid-item/u-grid-item.js";
const _easycom_up_grid = () => "../../uni_modules/uview-plus/components/u-grid/u-grid.js";
const _easycom_tabbar = () => "../../components/tabbar/tabbar.js";
if (!Math) {
  (_easycom_up_grid_item + _easycom_up_grid + _easycom_tabbar)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const memberStore = store_modules_member.useMemberStore();
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const queryParam = common_vendor.ref({
      keyword: "",
      cityid: "",
      page: 1
    });
    const dataSourse = common_vendor.ref({
      indexadvert: [],
      indexnotice: [],
      citylist: [],
      groups: [],
      numberviews: 0,
      //浏览数
      sendnum: 0,
      //发布数
      usernum: 0,
      //注册用数
      notice: "",
      indexfootadvert: {
        id: 0,
        linkurl: "",
        thumb: "0"
      }
    });
    const handleSearch = async () => {
      common_vendor.index.showLoading({
        title: "加载中...",
        mask: true
        // 添加遮罩防止重复点击
      });
      try {
        const res = await api_home.queryList(queryParam.value);
        dataSourse.value.indexadvert = res.result.indexadvert || [];
        dataSourse.value.numberviews = res.result.numberviews || 0;
        dataSourse.value.sendnum = res.result.sendnum || 0;
        dataSourse.value.usernum = res.result.usernum || 0;
        dataSourse.value.indexfootadvert = res.result.indexfootadvert || {};
        if (res.result.indexnotice && res.result.indexnotice.length > 0) {
          dataSourse.value.notice = res.result.indexnotice.map((notice) => notice.title).join("              ");
        }
        dataSourse.value.citylist = [];
        if (res.result.citylist && res.result.citylist.length > 0) {
          for (let i = 0; i < res.result.citylist.length; i += 10) {
            dataSourse.value.citylist.push(res.result.citylist.slice(i, i + 10));
          }
        }
        if (res.result.groups && res.result.groups.length > 0) {
          dataSourse.value.groups = dataSourse.value.groups.concat(res.result.groups);
        }
      } catch (error) {
        console.error("获取数据错误:", error);
        common_vendor.index.showToast({
          title: "网络异常，请稍后重试",
          icon: "none"
        });
      } finally {
        common_vendor.index.hideLoading();
      }
    };
    common_vendor.onShow(() => {
      queryParam.value.page = 1;
      dataSourse.value.groups = [];
      handleSearch();
    });
    const currentCityIdx = common_vendor.ref(0);
    const onCityChange = (e) => {
      currentCityIdx.value = e.detail.current;
    };
    const currentCityId = common_vendor.ref("");
    const selectCity = (item) => {
      currentCityId.value = currentCityId.value == item.id ? "" : item.id;
      queryParam.value.cityid = queryParam.value.cityid == item.id ? "" : item.id;
      queryParam.value.page = 1;
      dataSourse.value.groups = [];
      handleSearch();
    };
    const handleTo = (item) => {
      common_vendor.index.navigateTo({
        url: `/pagesHome/pages/detail?id=${item.id}&title=${item.title}`
      });
    };
    const onScrolltoupper = () => {
      queryParam.value.page++;
      handleSearch();
    };
    common_vendor.onLoad(async (options) => {
      console.log("进入页面获取的参数：", options);
      if (options.invitation_uid) {
        memberStore.setInvitationUid(options.invitation_uid);
      }
      console.log("获取存储invitation_uid数据：", memberStore.invitation_uid);
    });
    return (_ctx, _cache) => {
      var _a;
      return common_vendor.e({
        a: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        b: common_vendor.f(dataSourse.value.citylist, (item, index, i0) => {
          return {
            a: common_vendor.f(item, (i, index2, i1) => {
              return {
                a: i.thumb,
                b: common_vendor.t(i.title),
                c: currentCityId.value == i.id ? 1 : "",
                d: i.id,
                e: common_vendor.o(($event) => selectCity(i), i.id),
                f: "3d3a65f2-1-" + i0 + "-" + i1 + "," + ("3d3a65f2-0-" + i0),
                g: common_vendor.p({
                  index: index2,
                  customStyle: {
                    width: "130rpx",
                    flexWrap: "wrap",
                    overflow: "hidden",
                    marginBottom: "20rpx"
                  }
                })
              };
            }),
            b: "3d3a65f2-0-" + i0,
            c: index
          };
        }),
        c: common_vendor.p({
          border: false,
          col: "5"
        }),
        d: common_vendor.o(onCityChange),
        e: currentCityIdx.value,
        f: dataSourse.value.groups.length > 0
      }, dataSourse.value.groups.length > 0 ? {
        g: common_vendor.f(dataSourse.value.groups, (group, k0, i0) => {
          return {
            a: group.thumb,
            b: common_vendor.t(group.title),
            c: common_vendor.t(group.summary),
            d: common_vendor.o(($event) => handleTo(group), group.id),
            e: group.id
          };
        })
      } : {}, {
        h: common_vendor.o(onScrolltoupper),
        i: (_a = dataSourse.value.indexfootadvert) == null ? void 0 : _a.thumb,
        j: common_vendor.p({
          ["current-page"]: 0
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
