"use strict";
const common_vendor = require("../../common/vendor.js");
const api_message_board = require("../../api/message_board.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_fab2 = common_vendor.resolveComponent("uni-fab");
  const _easycom_up_modal2 = common_vendor.resolveComponent("up-modal");
  const _easycom_tabbar2 = common_vendor.resolveComponent("tabbar");
  (_easycom_uni_fab2 + _easycom_up_modal2 + _easycom_tabbar2)();
}
const _easycom_uni_fab = () => "../../uni_modules/uni-fab/components/uni-fab/uni-fab.js";
const _easycom_up_modal = () => "../../uni_modules/uview-plus/components/u-modal/u-modal.js";
const _easycom_tabbar = () => "../../components/tabbar/tabbar.js";
if (!Math) {
  (_easycom_uni_fab + _easycom_up_modal + _easycom_tabbar)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const pattern = {
      color: "#7A7E83",
      backgroundColor: "#fff",
      selectedColor: "#007AFF",
      buttonColor: "#007AFF",
      iconColor: "#fff"
    };
    const selectType = (key) => {
      queryParam.value.type = key;
      queryParam.value.page = 1;
      dataSourse.value.list = [];
      queryList();
    };
    const queryParam = common_vendor.ref({
      type: 1,
      page: 2
    });
    const dataSourse = common_vendor.ref({
      list: [],
      advert: []
    });
    const queryList = async () => {
      common_vendor.index.showLoading();
      const res = await api_message_board.getMessageBoard(queryParam.value);
      common_vendor.index.hideLoading();
      dataSourse.value.advert = res.result.advert || [];
      if (res.result.list && res.result.list.length > 0) {
        dataSourse.value.list = dataSourse.value.list.concat(res.result.list);
        if (dataSourse.value.list && dataSourse.value.list.length > 0) {
          dataSourse.value.list.forEach((item) => {
            if (item.message.length > 60) {
              item["isMore"] = true;
              item["contentAll"] = true;
            } else {
              item["isMore"] = false;
              item["contentAll"] = false;
            }
          });
        }
      }
    };
    const onScrolltolower = () => {
      queryParam.value.page++;
      queryList();
    };
    const changeAllFun = (item, index) => {
      let newList = JSON.parse(JSON.stringify(dataSourse.value.list));
      newList.forEach((elem, ind) => {
        if (index === ind) {
          elem.contentAll = !elem.contentAll;
        }
      });
      dataSourse.value.list = newList;
    };
    const fabClick = () => {
      common_vendor.index.navigateTo({
        url: "/pagesMessageBoard/pages/release"
      });
    };
    common_vendor.onShow(() => {
      if (isPreviewImage.value) {
        queryParam.value.page = 1;
        queryParam.value.type = 1;
        dataSourse.value.list = [];
        queryList();
      }
      isPreviewImage.value = true;
      queryBuyWxNumberPoint();
    });
    common_vendor.onHide(() => {
    });
    common_vendor.onLoad(() => {
    });
    const isPreviewImage = common_vendor.ref(true);
    const previewImage = (index, thumbs) => {
      common_vendor.index.previewImage({
        current: index,
        // 当前显示图片索引
        urls: thumbs,
        // 需要预览的图片http链接列表
        complete: () => {
          isPreviewImage.value = false;
        }
      });
      isPreviewImage.value = false;
    };
    const show = common_vendor.ref(false);
    const currentItem = common_vendor.ref();
    const buyWxNumber = (item) => {
      show.value = true;
      currentItem.value = item;
    };
    const confirm = async () => {
      var _a;
      show.value = false;
      common_vendor.index.showLoading();
      try {
        const res = await api_message_board.buywechatnumber({ id: currentItem.value.id });
        common_vendor.index.hideLoading();
        if (res.code == 200) {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
          queryParam.value.page = 1;
          dataSourse.value.list = [];
          queryList();
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
          common_vendor.index.hideLoading();
        }
      } catch (e) {
        common_vendor.index.hideLoading();
        common_vendor.index.showToast({
          icon: "none",
          title: (_a = e == null ? void 0 : e.data) == null ? void 0 : _a.msg
        });
      }
    };
    const copyWxNumber = (item) => {
      if (!item.wechat_number) {
        return;
      }
      common_vendor.index.setClipboardData({ data: item.wechat_number });
    };
    const needPoint = common_vendor.ref(0);
    const queryBuyWxNumberPoint = async () => {
      try {
        const res = await api_message_board.getbuywxnumjf();
        if (res.code == 200) {
          needPoint.value = res.result.jfnum || 0;
        }
      } catch (e) {
      }
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => selectType(1)),
        b: common_vendor.o(($event) => selectType(2)),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: dataSourse.value.list.length > 0
      }, dataSourse.value.list.length > 0 ? {
        e: common_vendor.f(dataSourse.value.list, (item, index, i0) => {
          return common_vendor.e({
            a: item.headimg,
            b: common_vendor.t(item.nickname),
            c: common_vendor.t(item.message),
            d: item.contentAll ? 1 : "",
            e: item.isMore
          }, item.isMore ? common_vendor.e({
            f: item.contentAll
          }, item.contentAll ? {
            g: common_vendor.o(($event) => changeAllFun(item, index), index)
          } : {
            h: common_vendor.o(($event) => changeAllFun(item, index), index)
          }) : {}, {
            i: common_vendor.f(item.thumbs, (itm, ind, i1) => {
              return {
                a: itm,
                b: common_vendor.o(($event) => previewImage(ind, item.thumbs), ind),
                c: ind
              };
            }),
            j: item.isbuy == 0
          }, item.isbuy == 0 ? {
            k: common_vendor.o(($event) => buyWxNumber(item), index)
          } : {}, {
            l: item.isbuy == 1
          }, item.isbuy == 1 ? {
            m: common_vendor.t(item.wechat_number || "暂无微信号"),
            n: common_vendor.o(($event) => copyWxNumber(item), index)
          } : {}, {
            o: index
          });
        })
      } : {}, {
        f: common_vendor.sr("fab", "3601b5ce-0"),
        g: common_vendor.o(fabClick),
        h: common_vendor.p({
          pattern,
          horizontal: "right",
          vertical: "bottom",
          direction: "horizontal"
        }),
        i: _ctx.scrollTop,
        j: common_vendor.o(onScrolltolower),
        k: common_vendor.o(confirm),
        l: common_vendor.o(($event) => show.value = false),
        m: common_vendor.p({
          show: show.value,
          title: "",
          width: "500rpx",
          content: `查看对方微信号需要${needPoint.value}积分`,
          showCancelButton: true,
          contentTextAlign: "center"
        }),
        n: common_vendor.p({
          ["current-page"]: 1
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pages/message_board/index.vue"]]);
wx.createPage(MiniProgramPage);
