"use strict";
const common_vendor = require("../../common/vendor.js");
const api_my = require("../../api/my.js");
require("../../store/index.js");
const api_login = require("../../api/login.js");
const store_modules_member = require("../../store/modules/member.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_popup2 = common_vendor.resolveComponent("up-popup");
  const _easycom_up_grid_item2 = common_vendor.resolveComponent("up-grid-item");
  const _easycom_up_grid2 = common_vendor.resolveComponent("up-grid");
  const _easycom_up_button2 = common_vendor.resolveComponent("up-button");
  const _easycom_up_card2 = common_vendor.resolveComponent("up-card");
  const _easycom_tabbar2 = common_vendor.resolveComponent("tabbar");
  (_easycom_uni_icons2 + _easycom_up_popup2 + _easycom_up_grid_item2 + _easycom_up_grid2 + _easycom_up_button2 + _easycom_up_card2 + _easycom_tabbar2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_popup = () => "../../uni_modules/uview-plus/components/u-popup/u-popup.js";
const _easycom_up_grid_item = () => "../../uni_modules/uview-plus/components/u-grid-item/u-grid-item.js";
const _easycom_up_grid = () => "../../uni_modules/uview-plus/components/u-grid/u-grid.js";
const _easycom_up_button = () => "../../uni_modules/uview-plus/components/u-button/u-button.js";
const _easycom_up_card = () => "../../uni_modules/uview-plus/components/u-card/u-card.js";
const _easycom_tabbar = () => "../../components/tabbar/tabbar.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_up_popup + _easycom_up_grid_item + _easycom_up_grid + _easycom_up_button + _easycom_up_card + _easycom_tabbar)();
}
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const memberStore = store_modules_member.useMemberStore();
    const userInfo = common_vendor.ref({
      "id": void 0,
      "invitation_uid": 0,
      "headimg": "",
      //用户头像
      "nickname": "",
      //用户昵称
      "balance": 0,
      //用户积分
      "poster_img": "",
      //分享海报背景图
      "invitation_qrcode": "",
      //用户小程序码
      "vip_title": ""
    });
    const token = common_vendor.ref();
    token.value = common_vendor.index.getStorageSync("token");
    const queryMemberUserInfo = async () => {
      const res = await api_my.getUserInfo({});
      memberStore.setProfile(res.result);
      Object.assign(userInfo.value, res.result);
    };
    const reloadList = common_vendor.ref([]);
    const queryReloadData = async () => {
      const res = await api_my.getrecharge();
      reloadList.value = res.result || [];
      if (res.result && res.result.length > 0) {
        currentAmountId.value = res.result[0].id;
        currentAmount.value = res.result[0].price;
      }
    };
    common_vendor.onShow(async () => {
      token.value = common_vendor.index.getStorageSync("token");
      if (token.value) {
        queryMemberUserInfo();
        queryReloadData();
      }
    });
    const isShow = common_vendor.ref(false);
    const pixelRatio = common_vendor.ref();
    const wid = common_vendor.ref();
    common_vendor.onLoad(async (options) => {
      let device = common_vendor.index.getSystemInfoSync();
      wid.value = device.windowWidth / 750;
      pixelRatio.value = device.pixelRatio;
    });
    const openModal = () => {
      if (!token.value) {
        common_vendor.index.showToast({
          icon: "none",
          title: "请先登录"
        });
        return;
      }
      isShow.value = true;
      common_vendor.index.showLoading({
        title: "海报生成中..."
      });
      let ctx = common_vendor.index.createCanvasContext("mycanvas");
      common_vendor.index.getImageInfo({
        src: userInfo.value.poster_img,
        success: async (imagePoster) => {
          var cornerRadius = 15 * wid.value;
          ctx.save();
          ctx.translate(0, 0);
          ctx.beginPath();
          ctx.moveTo(cornerRadius, 0);
          ctx.lineTo(600 * wid.value - cornerRadius, 0);
          ctx.quadraticCurveTo(600 * wid.value, 0, 600 * wid.value, cornerRadius);
          ctx.lineTo(600 * wid.value, 960 * wid.value - cornerRadius);
          ctx.quadraticCurveTo(600 * wid.value, 960 * wid.value, 600 * wid.value - cornerRadius, 960 * wid.value);
          ctx.lineTo(cornerRadius, 960 * wid.value);
          ctx.quadraticCurveTo(0, 960 * wid.value, 0, 960 * wid.value - cornerRadius);
          ctx.lineTo(0, cornerRadius);
          ctx.quadraticCurveTo(0, 0, cornerRadius, 0);
          ctx.closePath();
          ctx.clip();
          ctx.drawImage(imagePoster.path, 0, 0, 600 * wid.value, 960 * wid.value);
          ctx.restore();
          getCanvasAvatar(ctx);
        }
      });
    };
    const getCanvasAvatar = (ctx) => {
      let tip = userInfo.value.nickname.length >= 10 ? userInfo.value.nickname.slice(0, 11) + "..." : userInfo.value.nickname;
      common_vendor.index.getImageInfo({
        src: userInfo.value.headimg,
        success(res) {
          drawCircleImage(ctx, res.path, 90 * wid.value, 780 * wid.value, 48 * wid.value);
          ctx.fillStyle = "#333333";
          ctx.font = `bold 16px PingFang SC-Medium`;
          ctx.fillText(tip, 160 * wid.value, 790 * wid.value);
          ctx.fillStyle = "#333333";
          ctx.font = "14px PingFang SC-Medium";
          ctx.fillText("同城交友 · 扩列搭子", 40 * wid.value, 870 * wid.value);
          getCanvasSunCode(ctx);
        }
      });
    };
    const getCanvasSunCode = async (ctx) => {
      common_vendor.index.getImageInfo({
        src: userInfo.value.invitation_qrcode,
        success(res) {
          ctx.drawImage(res.path, 330 * wid.value, 700 * wid.value, 225 * wid.value, 211 * wid.value);
          ctx.draw();
          common_vendor.index.hideLoading();
          isShow.value = true;
        }
      });
    };
    function drawCircleImage(ctx, img, x, y, radius) {
      ctx.save();
      const size = 2 * radius;
      ctx.arc(x, y, radius, 0, 2 * Math.PI);
      ctx.clip();
      ctx.drawImage(img, x - radius, y - radius, size, size);
      ctx.restore();
    }
    const handleClose = () => {
      isShow.value = false;
    };
    const downloadPoster = common_vendor.ref();
    const savaImgLocalClick = () => {
      common_vendor.index.showLoading({
        title: "保存图片中..."
      });
      common_vendor.index.canvasToTempFilePath({
        canvasId: "mycanvas",
        quality: 1,
        width: 604,
        // 画布宽度（默认为canvas宽度-x）
        height: 960,
        // 画布高度（默认为canvas高度-y）
        destWidth: 604 * pixelRatio.value,
        // 输出图片宽度（默认为 width * 屏幕像素密度）
        destHeight: 960 * pixelRatio.value,
        // 输出图片高度（默认为 height * 屏幕像素密度）
        complete(res) {
          console.log(res);
          downloadPoster.value = res.tempFilePath;
          common_vendor.index.authorize({
            scope: "scope.writePhotosAlbum",
            success: () => {
              common_vendor.index.saveImageToPhotosAlbum({
                filePath: downloadPoster.value,
                // 保存也是只能用本地路径
                success() {
                  common_vendor.index.hideLoading();
                  common_vendor.index.showToast({
                    title: "海报已保存至本地！",
                    icon: "none"
                  });
                },
                fail() {
                  common_vendor.index.showToast({
                    title: "海报保存失败！",
                    icon: "none"
                  });
                }
              });
            },
            fail: () => {
              common_vendor.index.showModal({
                content: "由于您拒绝保存到您手机里,无法进行保存，点击确定去授权",
                success: (res2) => {
                  if (res2.confirm) {
                    common_vendor.index.openSetting({
                      success: () => {
                      }
                    });
                  }
                }
              });
            }
          });
        }
      });
    };
    common_vendor.onShareAppMessage(() => {
      console.log("分享时的用户id", memberStore.profile.id);
      return {
        title: "全网优质交友脱单群，扩列绿泡泡高质量交友群，扩列交友",
        path: `pages/index/index?invitation_uid=${memberStore.profile.id}`
      };
    });
    const handleTo = (type) => {
      switch (type) {
        case "user":
          common_vendor.index.navigateTo({
            url: "/pagesMy/pages/personal_info"
          });
          break;
        case "vip":
          common_vendor.index.navigateTo({
            url: "/pagesMy/pages/vip"
          });
          break;
      }
    };
    const isShowReload = common_vendor.ref(false);
    const currentAmountId = common_vendor.ref();
    const currentAmount = common_vendor.ref(0);
    const handleOpenReloadPopup = () => {
      isShowReload.value = true;
    };
    const onChangeAmount = (item) => {
      currentAmountId.value = item.id;
      currentAmount.value = item.price;
    };
    const payAmount = async () => {
      if (!currentAmountId.value || currentAmountId.value == "") {
        common_vendor.index.showToast({
          icon: "none",
          title: "请选择充值的金额"
        });
        return;
      }
      const res = await api_my.addrecharge({ rechargeid: currentAmountId.value });
      if (res.code == 200) {
        common_vendor.wx$1.requestPayment({
          appId: res.result.appId,
          timeStamp: res.result.timeStamp,
          nonceStr: res.result.nonceStr,
          package: res.result.package,
          signType: res.result.signType,
          paySign: res.result.paySign,
          success(res2) {
            common_vendor.index.showToast({ icon: "success", title: "支付成功" });
            setTimeout(() => {
              isShowReload.value = false;
              queryMemberUserInfo();
            }, 400);
          },
          fail(err) {
            console.error("支付失败", err);
            if (err.errMsg.indexOf("cancel") > -1) {
              console.log("用户取消支付");
            } else {
              common_vendor.index.showToast({ icon: "error", title: "支付失败" });
              console.log("支付失败，非用户取消");
            }
          }
        });
      } else {
        common_vendor.index.showToast({
          icon: "error",
          title: res.msg
        });
      }
    };
    const login = async () => {
      try {
        const res1 = await common_vendor.wx$1.login();
        const res2 = await api_login.loginCodeCheck({ js_code: res1.code });
        if (res2.code == 200) {
          memberStore.setToken(res2.result.user_token);
          common_vendor.index.setStorage({
            key: "token",
            data: res2.result.user_token
          });
          if (res2.msg.trim() == "绑定成功") {
            common_vendor.index.navigateTo({
              url: "/pages/login/index"
            });
          }
          if (res2.msg.trim() == "登录成功") {
            token.value = common_vendor.index.getStorageSync("token");
            queryMemberUserInfo();
            queryReloadData();
          }
        } else {
          common_vendor.index.navigateTo({
            url: "/pages/login/index"
          });
        }
      } catch (e) {
      }
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        b: token.value
      }, token.value ? {
        c: userInfo.value.headimg,
        d: common_vendor.o(($event) => handleTo("user"))
      } : {
        e: common_vendor.p({
          type: "person-filled",
          size: "40",
          color: "#E2E2E2"
        })
      }, {
        f: token.value
      }, token.value ? {
        g: common_vendor.t(userInfo.value.nickname)
      } : {
        h: common_vendor.o(login)
      }, {
        i: token.value
      }, token.value ? {
        j: (/* @__PURE__ */ new Date()).getTime().toString(),
        k: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-certification",
          size: "13",
          color: "#AEAEAE"
        }),
        l: common_vendor.t(userInfo.value.balance),
        m: common_vendor.o(handleOpenReloadPopup),
        n: common_vendor.t(userInfo.value.vip_title),
        o: common_vendor.o(($event) => handleTo("vip"))
      } : {}, {
        p: token.value
      }, token.value ? {
        q: common_vendor.o(openModal)
      } : {}, {
        r: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-friends",
          size: "25",
          color: "#3CB6FE"
        }),
        s: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-uniE62F",
          size: "25",
          color: "#FCCC55"
        }),
        t: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-URL",
          size: "25",
          color: "#35ADFF"
        }),
        v: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-fabu1",
          size: "25",
          color: "#DC49EB"
        }),
        w: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-xinxi1",
          size: "25",
          color: "#FDCE5C"
        }),
        x: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-custom-service",
          size: "25",
          color: "#3DB6FF"
        }),
        y: isShow.value
      }, isShow.value ? {} : {}, {
        z: isShow.value
      }, isShow.value ? {
        A: common_vendor.o(savaImgLocalClick)
      } : {}, {
        B: common_vendor.o(handleClose),
        C: common_vendor.p({
          type: "clear",
          color: "#BBBCBE",
          size: "26"
        }),
        D: common_vendor.o(handleClose),
        E: common_vendor.o(openModal),
        F: common_vendor.p({
          show: isShow.value,
          mode: "center",
          bgColor: "transparent",
          customStyle: {
            margin: "0 auto",
            position: "relative",
            borderRadius: "20rpx",
            padding: "10rpx"
          }
        }),
        G: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-jifen1",
          size: "20",
          color: "#FF2F6D"
        }),
        H: common_vendor.t(userInfo.value.balance),
        I: common_vendor.f(reloadList.value, (item, k0, i0) => {
          return {
            a: common_vendor.t(item.points_num),
            b: common_vendor.t(item.price),
            c: currentAmountId.value == item.id ? 1 : "",
            d: item.id,
            e: common_vendor.o(($event) => onChangeAmount(item), item.id),
            f: "347def62-14-" + i0 + ",347def62-13"
          };
        }),
        J: common_vendor.p({
          border: false,
          col: "3"
        }),
        K: common_vendor.o(($event) => isShowReload.value = false),
        L: common_vendor.p({
          text: "取消"
        }),
        M: common_vendor.o(payAmount),
        N: common_vendor.p({
          type: "primary",
          text: `充值 ￥${currentAmount.value}`
        }),
        O: common_vendor.o(handleOpenReloadPopup),
        P: common_vendor.o(($event) => isShowReload.value = $event),
        Q: common_vendor.p({
          mode: "center",
          customStyle: {
            margin: "0 auto",
            position: "relative"
          },
          bgColor: "transparent",
          closeOnClickOverlay: false,
          show: isShowReload.value
        }),
        R: common_vendor.p({
          ["current-page"]: 2
        })
      });
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 2;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__file", "/Users/mac/Desktop/dazi/pages/my/index.vue"]]);
wx.createPage(MiniProgramPage);
