"use strict";
const common_vendor = require("../../common/vendor.js");
const api_home = require("../../api/home.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_uni_badge2 = common_vendor.resolveComponent("uni-badge");
  const _easycom_up_parse2 = common_vendor.resolveComponent("up-parse");
  (_easycom_uni_icons2 + _easycom_uni_badge2 + _easycom_up_parse2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_uni_badge = () => "../../uni_modules/uni-badge/components/uni-badge/uni-badge.js";
const _easycom_up_parse = () => "../../uni_modules/uview-plus/components/u-parse/u-parse.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_uni_badge + _easycom_up_parse)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "detail",
  props: {
    id: null,
    title: null
  },
  setup(__props) {
    const query = __props;
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const title = common_vendor.ref("");
    const isTriggered = common_vendor.ref(false);
    const onRefresherrefresh = async () => {
      isTriggered.value = true;
      await findInfo();
      isTriggered.value = false;
    };
    const formState = common_vendor.ref({
      "id": 1,
      "type": 1,
      "qrcodeimg": "",
      "title": "",
      "thumb": "",
      "create_time": "",
      "summary": "",
      "standard": "",
      "message": ""
    });
    const findInfo = async () => {
      common_vendor.index.showLoading();
      const res = await api_home.groupdetail({ groupid: query.id });
      common_vendor.index.hideLoading();
      Object.assign(formState.value, res.result);
    };
    const handleBuyQrcode = async () => {
      if (formState.value.id && formState.value.type == 1) {
        const res = await api_home.buyservice({ groupid: formState.value.id });
        common_vendor.wx$1.requestPayment({
          appId: res.result.appId,
          timeStamp: res.result.timeStamp,
          nonceStr: res.result.nonceStr,
          package: res.result.package,
          signType: res.result.signType,
          paySign: res.result.paySign,
          success(res2) {
            console.log("支付成功", res2);
            common_vendor.index.showToast({ icon: "success", title: "支付成功" });
            findInfo();
          },
          fail(err) {
            console.error("支付失败", err);
            if (err.errMsg.indexOf("cancel") > -1) {
              console.log("用户取消支付");
            } else {
              common_vendor.index.showToast({ icon: "error", title: "支付失败" });
              console.log("支付失败，非用户取消");
            }
          }
        });
      }
    };
    const goback = () => {
      common_vendor.index.navigateBack();
    };
    common_vendor.onLoad(() => {
      title.value = query.title;
      findInfo();
    });
    common_vendor.onShow(() => {
    });
    const handleTo = () => {
      common_vendor.index.navigateTo({
        url: "/pagesMy/pages/vip"
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.t(title.value),
        c: common_vendor.o(goback),
        d: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        e: formState.value.thumb,
        f: common_vendor.p({
          ["is-dot"]: true,
          text: "0",
          absolute: "rightTop",
          size: "normal"
        }),
        g: common_vendor.t(formState.value.title),
        h: common_vendor.t(formState.value.create_time),
        i: common_vendor.t(formState.value.summary),
        j: formState.value.qrcodeimg,
        k: formState.value.type == 1
      }, formState.value.type == 1 ? {
        l: (/* @__PURE__ */ new Date()).getTime().toString(),
        m: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-dianji-05",
          size: "28",
          color: "#fff"
        }),
        n: common_vendor.o(handleBuyQrcode)
      } : {}, {
        o: common_vendor.t(formState.value.standard),
        p: formState.value.message != ""
      }, formState.value.message != "" ? {
        q: common_vendor.p({
          content: formState.value.message
        })
      } : {}, {
        r: common_vendor.o(handleTo),
        s: common_vendor.o(onRefresherrefresh),
        t: isTriggered.value
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesHome/pages/detail.vue"]]);
wx.createPage(MiniProgramPage);
