"use strict";
const common_vendor = require("../../common/vendor.js");
const api_home = require("../../api/home.js");
const api_my = require("../../api/my.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_notice_bar2 = common_vendor.resolveComponent("up-notice-bar");
  const _easycom_up_popup2 = common_vendor.resolveComponent("up-popup");
  (_easycom_uni_icons2 + _easycom_up_notice_bar2 + _easycom_up_popup2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_notice_bar = () => "../../uni_modules/uview-plus/components/u-notice-bar/u-notice-bar.js";
const _easycom_up_popup = () => "../../uni_modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_up_notice_bar + _easycom_up_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "drift_bottle",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const goback = () => {
      common_vendor.index.navigateBack();
    };
    const isPickUpShow = common_vendor.ref(false);
    const openPickUpPopup = () => {
      isPickUpShow.value = true;
      pickUpBottle();
    };
    const closePickUpPopup = () => {
      isPickUpShow.value = false;
    };
    const isThrowShow = common_vendor.ref(false);
    const openThrowPopup = () => {
      isThrowShow.value = true;
    };
    const closeThrowPopup = () => {
      isThrowShow.value = false;
    };
    const bottleData = common_vendor.ref({
      headimg: "",
      nickname: "",
      message: "",
      create_time: ""
    });
    const pickUpBottle = async () => {
      try {
        const res = await api_home.pickupdriftBottle();
        if (res.code === 200) {
          bottleData.value = res.result;
        } else {
          common_vendor.index.showToast({
            title: res.msg || "捡瓶子失败",
            icon: "none"
          });
        }
      } catch (error) {
        common_vendor.index.showToast({
          title: "网络错误",
          icon: "none"
        });
      }
    };
    const throwMessage = common_vendor.ref("");
    const throwBottle = async (type) => {
      if (!throwMessage.value.trim()) {
        common_vendor.index.showToast({
          title: "请输入内容",
          icon: "none"
        });
        return;
      }
      try {
        const res = await api_home.throwdriftbottle({
          message: throwMessage.value.trim()
        });
        if (res.code === 200) {
          common_vendor.index.showToast({
            title: res.msg,
            icon: "success"
          });
          throwMessage.value = "";
          type == "huifu" ? closePickUpPopup() : closeThrowPopup();
        } else {
          common_vendor.index.showToast({
            title: res.msg || "扔瓶子失败",
            icon: "none"
          });
        }
      } catch (error) {
        common_vendor.index.showToast({
          title: "网络错误",
          icon: "none"
        });
      }
    };
    const userInfo = common_vendor.ref({
      nickname: "",
      headimg: ""
    });
    const getMyInfo = async () => {
      try {
        const res = await api_my.getUserInfo({});
        if (res.code === 200) {
          userInfo.value = res.result;
        }
      } catch (error) {
        common_vendor.index.showToast({
          title: "网络错误",
          icon: "none"
        });
      }
    };
    common_vendor.onLoad(() => {
      getMyInfo();
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(goback),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: common_vendor.p({
          text: "温馨提示：交友过程中请注意保护好个人隐私，如若发现涉黄，广告推广等行为，请及时举报！发布违规内容将有可能导致封号！让我们一起努力共建良好的社交空间",
          bgColor: "transparent",
          icon: ""
        }),
        e: common_vendor.o(openPickUpPopup),
        f: common_vendor.o(openThrowPopup),
        g: bottleData.value.headimg,
        h: common_vendor.t(bottleData.value.nickname),
        i: common_vendor.t(bottleData.value.create_time),
        j: common_vendor.t(bottleData.value.message),
        k: throwMessage.value,
        l: common_vendor.o(($event) => throwMessage.value = $event.detail.value),
        m: common_vendor.o(closePickUpPopup),
        n: common_vendor.o(($event) => throwBottle("huifu")),
        o: common_vendor.o(closePickUpPopup),
        p: common_vendor.o(openPickUpPopup),
        q: common_vendor.p({
          show: isPickUpShow.value,
          mode: "center",
          bgColor: "transparent",
          customStyle: {
            margin: "0 auto",
            position: "relative"
          }
        }),
        r: userInfo.value.headimg,
        s: common_vendor.t(userInfo.value.nickname),
        t: throwMessage.value,
        v: common_vendor.o(($event) => throwMessage.value = $event.detail.value),
        w: common_vendor.o(closeThrowPopup),
        x: common_vendor.o(($event) => throwBottle("rengchuqu")),
        y: common_vendor.o(closeThrowPopup),
        z: common_vendor.o(openThrowPopup),
        A: common_vendor.p({
          show: isThrowShow.value,
          mode: "center",
          bgColor: "transparent",
          customStyle: {
            margin: "0 auto",
            position: "relative"
          }
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesHome/pages/drift_bottle.vue"]]);
wx.createPage(MiniProgramPage);
