"use strict";
const common_vendor = require("../../common/vendor.js");
const api_home = require("../../api/home.js");
const api_my = require("../../api/my.js");
require("../../store/index.js");
const store_modules_member = require("../../store/modules/member.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_parse2 = common_vendor.resolveComponent("up-parse");
  const _easycom_up_popup2 = common_vendor.resolveComponent("up-popup");
  (_easycom_uni_icons2 + _easycom_up_parse2 + _easycom_up_popup2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_parse = () => "../../uni_modules/uview-plus/components/u-parse/u-parse.js";
const _easycom_up_popup = () => "../../uni_modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_up_parse + _easycom_up_popup)();
}
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "money_tree",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const memberStore = store_modules_member.useMemberStore();
    const goback = () => {
      common_vendor.index.navigateBack();
    };
    const treeGrades = ["幼苗", "树苗", "大树", "十年", "百年", "千年", "万年", "亿年", "圣树", "神树"];
    const treeData = common_vendor.ref({
      treegrade: [],
      //摇钱树等级信息
      goldcoin: void 0,
      message: "",
      //摇钱树规则说明
      tree_grade: 0,
      goldcoin_num: 5
    });
    const getTreeData = async () => {
      common_vendor.index.showLoading({
        title: "加载中...",
        mask: true
        // 添加遮罩防止重复点击
      });
      try {
        const res = await api_home.moneytree();
        if (res.code === 200) {
          if (res.result.treegrade && Array.isArray(res.result.treegrade)) {
            res.result.treegrade = res.result.treegrade.map((item) => ({
              ...item,
              name: treeGrades[item.tree_grade - 1] || "未知等级"
            }));
          }
          treeData.value = res.result;
        } else {
          common_vendor.index.showToast({
            title: res.msg || "获取数据失败",
            icon: "none"
          });
        }
      } catch (error) {
        console.error("获取摇钱树数据错误:", error);
        common_vendor.index.showToast({
          title: "网络异常，请稍后重试",
          icon: "none"
        });
      } finally {
        common_vendor.index.hideLoading();
      }
    };
    common_vendor.onShow(() => {
      getTreeData();
      queryMemberUserInfo();
    });
    const isShow = common_vendor.ref(false);
    const goMyTree = () => {
      isShow.value = true;
    };
    const goLottery = () => {
      common_vendor.index.navigateTo({
        url: "/pagesHome/pages/prize_draw"
      });
    };
    const userInfo = common_vendor.ref({
      coin: 0,
      id: void 0,
      invitation_uid: 0,
      headimg: "",
      //用户头像
      nickname: "",
      //用户昵称
      balance: 0,
      //用户积分
      poster_img: "",
      //分享海报背景图
      invitation_qrcode: "",
      //用户小程序码
      vip_title: ""
    });
    const queryMemberUserInfo = async () => {
      const res = await api_my.getUserInfo({});
      memberStore.setProfile(res.result);
      Object.assign(userInfo.value, res.result);
    };
    common_vendor.onShareAppMessage(() => {
      return {
        title: "全网优质交友脱单群，扩列绿泡泡高质量交友群，扩列交友",
        path: `pages/index/index?invitation_uid=${userInfo.value.id}`
      };
    });
    const isCollecting = common_vendor.ref(false);
    const rainFun = async (id, goldNum) => {
      try {
        const res = await api_home.addgoldcoin({ id });
        if (res.code === 200) {
          treeData.value.goldcoin_num += goldNum;
          isCollecting.value = true;
          setTimeout(() => {
            isCollecting.value = false;
          }, 1e3);
          common_vendor.index.showToast({
            title: res.msg,
            icon: "none"
          });
          getTreeData();
        } else {
          common_vendor.index.showToast({
            title: res.msg || "领取失败",
            icon: "none"
          });
        }
      } catch (error) {
        common_vendor.index.showToast({
          title: "领取失败",
          icon: "none"
        });
      }
    };
    return (_ctx, _cache) => {
      var _a;
      return common_vendor.e({
        a: common_vendor.p({
          type: "left",
          size: "20",
          color: "#fff"
        }),
        b: common_vendor.o(goback),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: userInfo.value.headimg,
        e: common_vendor.t(treeData.value.goldcoin_num),
        f: treeData.value.goldcoin && Object.keys(treeData.value.goldcoin).length > 0
      }, treeData.value.goldcoin && Object.keys(treeData.value.goldcoin).length > 0 ? {
        g: common_vendor.t((_a = treeData.value.goldcoin) == null ? void 0 : _a.goldcoin_num),
        h: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-jinbi",
          size: "15",
          color: "rgb(238, 238, 65)"
        }),
        i: isCollecting.value ? 1 : "",
        j: common_vendor.o(($event) => rainFun(treeData.value.goldcoin.id, treeData.value.goldcoin.goldcoin_num))
      } : {}, {
        k: common_vendor.f(treeData.value.treegrade, (item, k0, i0) => {
          return common_vendor.e({
            a: item.tree_grade === treeData.value.tree_grade
          }, item.tree_grade === treeData.value.tree_grade ? {
            b: item.thumb,
            c: _ctx.treemove ? 1 : ""
          } : {
            d: treeData.value.treegrade[0].thumb,
            e: _ctx.treemove ? 1 : ""
          }, {
            f: item.tree_grade
          });
        }),
        l: common_vendor.o(goMyTree),
        m: common_vendor.o(goLottery),
        n: common_vendor.p({
          content: treeData.value.message
        }),
        o: common_vendor.t(treeData.value.tree_grade),
        p: common_vendor.f(treeData.value.treegrade, (item, k0, i0) => {
          return {
            a: item.tree_grade,
            b: item.tree_grade === treeData.value.tree_grade,
            c: item.thumb
          };
        }),
        q: common_vendor.f(treeData.value.treegrade, (i, index, i0) => {
          return common_vendor.e({
            a: index + 1 === treeData.value.tree_grade + 1
          }, index + 1 === treeData.value.tree_grade + 1 ? {
            b: common_vendor.t(treeData.value.treegrade[index].share_num)
          } : {}, {
            c: common_vendor.t(i.tree_grade),
            d: common_vendor.t(i.name),
            e: index,
            f: index + 1 == treeData.value.tree_grade ? 1 : ""
          });
        }),
        r: common_vendor.o(($event) => isShow.value = false),
        s: common_vendor.o(goMyTree),
        t: common_vendor.p({
          show: isShow.value,
          mode: "center",
          bgColor: "transparent",
          overlayOpacity: "0.8",
          customStyle: {
            margin: "0 auto",
            position: "relative",
            padding: "20rpx"
          }
        })
      });
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 2;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__file", "/Users/mac/Desktop/dazi/pagesHome/pages/money_tree.vue"]]);
wx.createPage(MiniProgramPage);
