"use strict";
const common_vendor = require("../../common/vendor.js");
const api_home = require("../../api/home.js");
require("../../utils/request.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "my_bag",
  setup(__props) {
    const prizeLogsList = common_vendor.ref([]);
    const getPrizeLogs = async () => {
      common_vendor.index.showLoading({
        title: "加载中..."
      });
      try {
        const res = await api_home.prizedrawlogs();
        if (res.code === 200 && res.result.length > 0) {
          prizeLogsList.value = res.result;
        }
      } catch (error) {
        console.error("获取抽奖记录错误:", error);
      } finally {
        common_vendor.index.hideLoading();
      }
    };
    common_vendor.onShow(() => {
      getPrizeLogs();
    });
    const handleMail = (item) => {
      common_vendor.index.navigateTo({
        url: `/pagesHome/pages/shipping_address?id=${item.id}`
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.t(prizeLogsList.value.length),
        b: prizeLogsList.value.length > 0
      }, prizeLogsList.value.length > 0 ? {
        c: common_vendor.f(prizeLogsList.value, (log, k0, i0) => {
          return common_vendor.e({
            a: log.award_thumb,
            b: common_vendor.t(log.award_title),
            c: common_vendor.t(log.create_time)
          }, prizeLogsList.value.length > 0 ? {
            d: common_vendor.o(($event) => handleMail(log), log.id)
          } : {}, {
            e: log.id
          });
        }),
        d: prizeLogsList.value.length > 0
      } : {});
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesHome/pages/my_bag.vue"]]);
wx.createPage(MiniProgramPage);
