"use strict";
const common_vendor = require("../../common/vendor.js");
const api_home = require("../../api/home.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_parse2 = common_vendor.resolveComponent("up-parse");
  (_easycom_uni_icons2 + _easycom_up_parse2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_parse = () => "../../uni_modules/uview-plus/components/u-parse/u-parse.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_up_parse)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "portrait",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const isTriggered = common_vendor.ref(false);
    const onRefresherrefresh = async () => {
      isTriggered.value = true;
      await findInfo();
      isTriggered.value = false;
    };
    const formState = common_vendor.ref({
      "id": void 0,
      //写真id（购买传入此id）
      "type": void 0,
      // 1未购买 2已购买
      "box_url": "",
      //网盘地址 
      "box_psw": "",
      //网盘密码（有就显示）
      "title": "",
      //标题
      "thumb": "",
      //封面图
      "create_time": "",
      //发布时间
      "summary": "",
      //简介
      "message": ""
      //详情
    });
    const findInfo = async () => {
      common_vendor.index.showLoading();
      const res = await api_home.portraitphotography();
      common_vendor.index.hideLoading();
      Object.assign(formState.value, res.result);
    };
    const goback = () => {
      common_vendor.index.navigateBack();
    };
    common_vendor.onLoad(() => {
      findInfo();
    });
    common_vendor.onShow(() => {
    });
    const handleBuy = async () => {
      try {
        common_vendor.index.showLoading({
          title: "处理中..."
        });
        const res = await api_home.buyservice({ groupid: formState.value.id });
        if (res.code === 200) {
          common_vendor.index.requestPayment({
            provider: "wxpay",
            // 解构支付需要的参数
            ...res.result,
            success: async () => {
              common_vendor.index.showToast({
                title: "支付成功",
                icon: "success"
              });
              await findInfo();
            },
            fail: (err) => {
              console.error("支付失败:", err);
              common_vendor.index.showToast({
                title: "支付失败",
                icon: "none"
              });
            }
          });
        } else {
          common_vendor.index.showToast({
            title: res.msg || "获取支付参数失败",
            icon: "none"
          });
        }
      } catch (error) {
        console.error("支付错误:", error);
        common_vendor.index.showToast({
          title: "网络异常，请稍后重试",
          icon: "none"
        });
      } finally {
        common_vendor.index.hideLoading();
      }
    };
    const copyText = (text) => {
      common_vendor.index.setClipboardData({
        data: text,
        success: () => {
          common_vendor.index.showToast({
            title: "复制成功",
            icon: "none",
            duration: 1500
          });
        },
        fail: () => {
          common_vendor.index.showToast({
            title: "复制失败",
            icon: "none",
            duration: 1500
          });
        }
      });
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(goback),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: formState.value.thumb,
        e: common_vendor.t(formState.value.title),
        f: formState.value.summary && formState.value.summary.trim() != ""
      }, formState.value.summary && formState.value.summary.trim() != "" ? {
        g: common_vendor.t(formState.value.summary)
      } : {}, {
        h: formState.value.type == 1
      }, formState.value.type == 1 ? {
        i: common_vendor.p({
          ["custom-prefix"]: "iconfont",
          type: "icon-dianji-05",
          size: "28",
          color: "#fff"
        }),
        j: common_vendor.o(handleBuy)
      } : {}, {
        k: formState.value.type == 2
      }, formState.value.type == 2 ? {
        l: common_vendor.t(formState.value.box_url),
        m: common_vendor.o(($event) => copyText(formState.value.box_url)),
        n: common_vendor.t(formState.value.box_psw),
        o: common_vendor.o(($event) => copyText(formState.value.box_psw))
      } : {}, {
        p: formState.value.message != ""
      }, formState.value.message != "" ? {
        q: common_vendor.p({
          content: formState.value.message
        })
      } : {}, {
        r: common_vendor.o(onRefresherrefresh),
        s: isTriggered.value
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesHome/pages/portrait.vue"]]);
wx.createPage(MiniProgramPage);
