"use strict";
const common_vendor = require("../../common/vendor.js");
const api_home = require("../../api/home.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "prize_draw",
  setup(__props) {
    const time = common_vendor.ref(null);
    const indexSelect = common_vendor.ref(0);
    const colorAwardSelect = common_vendor.ref("#ffe400");
    const colorAwardDefault = common_vendor.ref("#F5F0FC");
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const goback = () => {
      common_vendor.index.navigateBack();
    };
    const dataSourse = common_vendor.ref({
      goldcoin_num: 0,
      // 用户剩余金币
      award: [],
      awardmessage: []
    });
    const scrollPosition = common_vendor.ref(0);
    let scrollTimer = null;
    const startScroll = () => {
      if (!scrollTimer) {
        scrollTimer = setInterval(() => {
          scrollPosition.value += 0.5;
          const contentWidth = dataSourse.value.awardmessage.length * 200;
          if (scrollPosition.value >= contentWidth) {
            scrollPosition.value = 0;
          }
        }, 30);
      }
    };
    const getPrizeList = async () => {
      try {
        common_vendor.index.showLoading({
          title: "加载中...",
          mask: true
        });
        const res = await api_home.raffle();
        if (res.code == 200) {
          const awards = res.result.award || [];
          const middleIndex = Math.floor(awards.length / 2);
          awards.splice(middleIndex, 0, {
            id: 9,
            title: "立即抽奖",
            thumb: ""
          });
          dataSourse.value = {
            goldcoin_num: res.result.goldcoin_num || 0,
            award: awards,
            awardmessage: res.result.awardmessage || []
          };
        } else {
          common_vendor.index.showToast({
            title: res.msg || "获取数据失败",
            icon: "none"
          });
        }
      } catch (error) {
        console.error("获取抽奖数据错误:", error);
        common_vendor.index.showToast({
          title: "网络异常，请稍后重试",
          icon: "none"
        });
      } finally {
        common_vendor.index.hideLoading();
      }
    };
    common_vendor.onLoad(() => {
      getPrizeList();
      startScroll();
    });
    common_vendor.onUnmounted(() => {
      if (time.value) {
        clearInterval(time.value);
      }
      if (scrollTimer) {
        clearInterval(scrollTimer);
      }
    });
    const goToBag = () => {
      common_vendor.index.navigateTo({
        url: "/pagesHome/pages/my_bag"
      });
    };
    const isRolling = common_vendor.ref(false);
    const rollTimer = common_vendor.ref(null);
    common_vendor.ref(100);
    const cycleCount = common_vendor.ref(0);
    const targetIndex = common_vendor.ref(0);
    const hasDrawn = common_vendor.ref(false);
    const debounce = (fn, delay) => {
      let timer = null;
      return function(...args) {
        if (timer)
          clearTimeout(timer);
        timer = setTimeout(() => {
          fn.apply(this, args);
        }, delay);
      };
    };
    const handleLotteryClick = debounce(async (index, item) => {
      if (isRolling.value || item.id !== 9)
        return;
      if (dataSourse.value.goldcoin_num < 2) {
        common_vendor.index.showToast({
          title: "金币不足，无法抽奖",
          icon: "none"
        });
        return;
      }
      try {
        isRolling.value = true;
        const res = await api_home.prizedraw();
        if (res.code === 200) {
          const prizeId = res.result.prizedraw_id;
          targetIndex.value = dataSourse.value.award.findIndex((item2) => item2.id === prizeId);
          hasDrawn.value = true;
          startRolling();
        } else {
          common_vendor.index.showToast({
            title: res.msg || "抽奖失败",
            icon: "none"
          });
          isRolling.value = false;
        }
      } catch (error) {
        console.error("抽奖错误:", error);
        common_vendor.index.showToast({
          title: "网络异常，请稍后重试",
          icon: "none"
        });
        isRolling.value = false;
      }
    }, 500);
    const startRolling = () => {
      if (rollTimer.value) {
        clearTimeout(rollTimer.value);
        rollTimer.value = null;
      }
      cycleCount.value = 0;
      let currentSpeed = 100;
      const roll = () => {
        if (!isRolling.value)
          return;
        indexSelect.value++;
        if (indexSelect.value >= dataSourse.value.award.length) {
          indexSelect.value = 0;
          cycleCount.value++;
        }
        if (cycleCount.value >= 3 && indexSelect.value === targetIndex.value) {
          stopRolling();
          return;
        }
        rollTimer.value = setTimeout(roll, currentSpeed);
      };
      roll();
    };
    const stopRolling = () => {
      isRolling.value = false;
      if (rollTimer.value) {
        clearTimeout(rollTimer.value);
        rollTimer.value = null;
      }
      const prize = dataSourse.value.award[targetIndex.value];
      setTimeout(() => {
        if (prize.id === 1) {
          common_vendor.index.showModal({
            title: "很遗憾",
            content: "谢谢参与，下次再来试试吧~",
            showCancel: false,
            success: async () => {
              await getPrizeList();
            }
          });
        } else {
          common_vendor.index.showModal({
            title: "恭喜中奖",
            content: `恭喜您获得${prize.title}`,
            showCancel: false,
            success: async () => {
              await getPrizeList();
            }
          });
        }
      }, 100);
    };
    common_vendor.onUnmounted(() => {
      if (rollTimer.value) {
        clearInterval(rollTimer.value);
      }
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "left",
          size: "20",
          color: "#fff"
        }),
        b: common_vendor.o(goback),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: common_vendor.f(dataSourse.value.award, (box, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(box.title),
            b: box.id == 9
          }, box.id == 9 ? {
            c: common_vendor.t(isRolling.value ? "抽奖中..." : "2金币 抽一次")
          } : {}, {
            d: index,
            e: box.id === 9 ? "#f47915" : isRolling.value && index === indexSelect.value || !isRolling.value && index === targetIndex.value && hasDrawn.value ? colorAwardSelect.value : colorAwardDefault.value,
            f: box.id !== 9 && (isRolling.value && index === indexSelect.value || !isRolling.value && index === targetIndex.value && hasDrawn.value) ? "scale(1.05)" : "scale(1)",
            g: common_vendor.o(($event) => common_vendor.unref(handleLotteryClick)(index, box), index)
          });
        }),
        e: common_vendor.t(dataSourse.value.goldcoin_num),
        f: common_vendor.o(goToBag),
        g: common_vendor.f(dataSourse.value.awardmessage, (message, index, i0) => {
          return {
            a: common_vendor.t(message.title),
            b: index
          };
        }),
        h: common_vendor.f(dataSourse.value.awardmessage, (message, index, i0) => {
          return {
            a: common_vendor.t(message.title),
            b: "repeat" + index
          };
        }),
        i: `translateX(-${scrollPosition.value}px)`,
        j: scrollPosition.value === 0 ? "none" : "transform 0.1s linear"
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesHome/pages/prize_draw.vue"]]);
wx.createPage(MiniProgramPage);
