"use strict";
const common_vendor = require("../../common/vendor.js");
const api_home = require("../../api/home.js");
require("../../utils/request.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "shipping_address",
  setup(__props) {
    common_vendor.onLoad((options) => {
      if (options.id) {
        formData.value.id = options.id;
      } else {
        common_vendor.index.showToast({
          title: "请先选择奖品",
          icon: "none"
        });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1500);
      }
    });
    const formData = common_vendor.ref({
      id: 0,
      name: "",
      phone: "",
      address: ""
    });
    const handleSubmit = async () => {
      console.log(formData.value);
      if (!formData.value.name.trim()) {
        common_vendor.index.showToast({
          title: "请输入收货人姓名",
          icon: "none"
        });
        return;
      }
      if (!/^1[3-9]\d{9}$/.test(formData.value.phone)) {
        common_vendor.index.showToast({
          title: "请输入正确的手机号码",
          icon: "none"
        });
        return;
      }
      if (!formData.value.address.trim()) {
        common_vendor.index.showToast({
          title: "请输入收货地址",
          icon: "none"
        });
        return;
      }
      common_vendor.index.showModal({
        title: "确认提交",
        content: "确认提交邮寄地址信息？",
        success: async (res) => {
          if (res.confirm) {
            submitAddress();
          }
        }
      });
    };
    const submitAddress = async () => {
      common_vendor.index.showLoading({
        title: "提交中..."
      });
      try {
        const res = await api_home.addmailingaddress(formData.value);
        if (res.code === 200) {
          common_vendor.index.showToast({
            title: "提交成功",
            icon: "success"
          });
          setTimeout(() => {
            common_vendor.index.navigateBack();
          }, 1500);
        } else {
          common_vendor.index.showToast({
            title: res.msg || "提交失败",
            icon: "none"
          });
        }
      } catch (error) {
        console.error("提交地址错误:", error);
        common_vendor.index.showToast({
          title: "网络异常，请稍后重试",
          icon: "none"
        });
      } finally {
        common_vendor.index.hideLoading();
      }
    };
    return (_ctx, _cache) => {
      return {
        a: formData.value.name,
        b: common_vendor.o(($event) => formData.value.name = $event.detail.value),
        c: formData.value.phone,
        d: common_vendor.o(($event) => formData.value.phone = $event.detail.value),
        e: formData.value.address,
        f: common_vendor.o(($event) => formData.value.address = $event.detail.value),
        g: common_vendor.o(handleSubmit)
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesHome/pages/shipping_address.vue"]]);
wx.createPage(MiniProgramPage);
