"use strict";
const common_vendor = require("../../common/vendor.js");
const api_message_board = require("../../api/message_board.js");
const api_my = require("../../api/my.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_uni_forms_item2 = common_vendor.resolveComponent("uni-forms-item");
  const _easycom_up_input2 = common_vendor.resolveComponent("up-input");
  const _easycom_up_textarea2 = common_vendor.resolveComponent("up-textarea");
  const _easycom_up_upload2 = common_vendor.resolveComponent("up-upload");
  const _easycom_up_switch2 = common_vendor.resolveComponent("up-switch");
  const _easycom_uni_forms2 = common_vendor.resolveComponent("uni-forms");
  const _easycom_up_modal2 = common_vendor.resolveComponent("up-modal");
  (_easycom_uni_icons2 + _easycom_uni_forms_item2 + _easycom_up_input2 + _easycom_up_textarea2 + _easycom_up_upload2 + _easycom_up_switch2 + _easycom_uni_forms2 + _easycom_up_modal2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_uni_forms_item = () => "../../uni_modules/uni-forms/components/uni-forms-item/uni-forms-item.js";
const _easycom_up_input = () => "../../uni_modules/uview-plus/components/u-input/u-input.js";
const _easycom_up_textarea = () => "../../uni_modules/uview-plus/components/u-textarea/u-textarea.js";
const _easycom_up_upload = () => "../../uni_modules/uview-plus/components/u-upload/u-upload.js";
const _easycom_up_switch = () => "../../uni_modules/uview-plus/components/u-switch/u-switch.js";
const _easycom_uni_forms = () => "../../uni_modules/uni-forms/components/uni-forms/uni-forms.js";
const _easycom_up_modal = () => "../../uni_modules/uview-plus/components/u-modal/u-modal.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_uni_forms_item + _easycom_up_input + _easycom_up_textarea + _easycom_up_upload + _easycom_up_switch + _easycom_uni_forms + _easycom_up_modal)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "release",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const modelForm = common_vendor.ref({
      type: void 0,
      message: "",
      thumbs: [],
      istop: 0,
      isChecked: false,
      levemeesga_points: 0,
      //用户发布留言需要扣除的积分
      levemessage_toppoints: 0,
      //用户选择置顶留言需要扣除的积分
      point: 0,
      //用户积分
      wechat_number: ""
    });
    const getReleasePoint = async () => {
      const res = await api_message_board.gettoppoints({});
      modelForm.value.levemeesga_points = res.result.levemeesga_points || 0;
      modelForm.value.levemessage_toppoints = res.result.levemessage_toppoints || 0;
    };
    const getUserPoint = async () => {
      const res = await api_my.getMyintegral({ type: 1 });
      modelForm.value.point = res.result.integral || 0;
    };
    const totalPoints = common_vendor.computed(() => {
      return Number(modelForm.value.levemessage_toppoints) + Number(modelForm.value.levemeesga_points);
    });
    common_vendor.onShow(() => {
      getReleasePoint();
      getUserPoint();
    });
    const isTopChange = (e) => {
      modelForm.value.istop = e ? 1 : 0;
      modelForm.value.isChecked = e;
    };
    const typeIdx = common_vendor.ref();
    const typeOptions = common_vendor.ref([
      {
        key: "男生通道",
        value: "1"
      },
      {
        key: "女生通道",
        value: "2"
      }
    ]);
    const bindPickerChange = (e) => {
      var _a;
      typeIdx.value = e.target.value;
      modelForm.value.type = (_a = typeOptions.value[typeIdx.value]) == null ? void 0 : _a.value;
    };
    const thumbList = common_vendor.ref([]);
    const afterRead = async (event) => {
      let lists = [].concat(event.file);
      let fileListLen = thumbList.value.length;
      lists.map((item) => {
        thumbList.value.push({
          ...item,
          status: "uploading",
          message: "上传中"
        });
      });
      for (let i = 0; i < lists.length; i++) {
        const data = await uploadFilePromise(lists[i].url);
        if (data.code == 200) {
          let item = thumbList.value[fileListLen];
          thumbList.value.splice(fileListLen, 1, {
            ...item,
            status: "success",
            message: "",
            url: data.result.img_url
          });
          modelForm.value.thumbs.push(data.result.img_id);
          fileListLen++;
        } else {
          common_vendor.index.showToast({
            icon: "error",
            title: data.msg
          });
          thumbList.value.splice(fileListLen, 1);
        }
      }
    };
    const uploadFilePromise = (url) => {
      return new Promise((resolve, reject) => {
        common_vendor.index.uploadFile({
          url: "https://buildgroup.ccjjj.com/api/Uploadfile/uploadimgfile",
          filePath: url,
          name: "imgfile",
          success: (res) => {
            let uploaddata = JSON.parse(res.data);
            resolve(uploaddata);
          },
          fail: function(err) {
            console.log("上传失败", err);
          }
        });
      });
    };
    const isShowDelete = common_vendor.ref(false);
    const currentIdx = common_vendor.ref();
    const deletePic = (event) => {
      isShowDelete.value = true;
      currentIdx.value = event.index;
    };
    const confirm = () => {
      thumbList.value.splice(currentIdx.value, 1);
      modelForm.value.thumbs.splice(currentIdx.value, 1);
      isShowDelete.value = false;
    };
    const isShowTopModal = common_vendor.ref(false);
    const isShowReleaseModal = common_vendor.ref(false);
    const onSubmit = async () => {
      if (!modelForm.value.type) {
        common_vendor.index.showToast({ icon: "none", title: "请选择分类" });
        return;
      }
      if (modelForm.value.wechat_number.trim() == "") {
        common_vendor.index.showToast({ icon: "none", title: "请输入微信号" });
        return;
      }
      if (modelForm.value.message.trim() == "") {
        common_vendor.index.showToast({ icon: "none", title: "请输入信息" });
        return;
      }
      if (modelForm.value.thumbs.length == 0) {
        common_vendor.index.showToast({ icon: "none", title: "请上传图片" });
        return;
      }
      if (modelForm.value.point < modelForm.value.levemeesga_points && !modelForm.value.isChecked) {
        isShowReleaseModal.value = true;
        return;
      }
      if (modelForm.value.point < modelForm.value.levemessage_toppoints && modelForm.value.isChecked) {
        isShowTopModal.value = true;
        return;
      }
      const form = common_vendor.ref({
        type: modelForm.value.type,
        message: modelForm.value.message,
        thumbs: "",
        istop: modelForm.value.istop,
        wechat_number: modelForm.value.wechat_number
      });
      if (modelForm.value.thumbs && modelForm.value.thumbs.length > 0) {
        form.value.thumbs = modelForm.value.thumbs.join(",");
      }
      const res = await api_message_board.sendmessage(form.value);
      if (res.code == 200) {
        common_vendor.index.showToast({ icon: "none", title: res.msg });
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1e3);
      } else {
        common_vendor.index.showToast({ icon: "none", title: res.msg });
      }
    };
    const back = () => {
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return common_vendor.e({
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(back),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: (_a = typeOptions.value[typeIdx.value]) == null ? void 0 : _a.key
      }, ((_b = typeOptions.value[typeIdx.value]) == null ? void 0 : _b.key) ? {
        e: common_vendor.t((_c = typeOptions.value[typeIdx.value]) == null ? void 0 : _c.key)
      } : {}, {
        f: common_vendor.o(bindPickerChange),
        g: typeIdx.value,
        h: typeOptions.value,
        i: common_vendor.p({
          name: "receiver"
        }),
        j: common_vendor.o(_ctx.change),
        k: common_vendor.o(($event) => modelForm.value.wechat_number = $event),
        l: common_vendor.p({
          placeholder: "请输入微信号...",
          border: "none",
          ["placeholder-class"]: "placeholder-class",
          customStyle: {
            marginLeft: "15rpx"
          },
          modelValue: modelForm.value.wechat_number
        }),
        m: common_vendor.p({
          name: "receiver"
        }),
        n: common_vendor.o(($event) => modelForm.value.message = $event),
        o: common_vendor.p({
          placeholder: "写点什么吧...",
          count: true,
          maxlength: "200",
          border: "none",
          ["placeholder-class"]: "textarea-placeholder",
          modelValue: modelForm.value.message
        }),
        p: common_vendor.p({
          name: "receiver"
        }),
        q: common_vendor.o(afterRead),
        r: common_vendor.o(deletePic),
        s: common_vendor.p({
          fileList: thumbList.value,
          name: "1",
          multiple: true,
          maxCount: 2,
          uploadIcon: "plus"
        }),
        t: common_vendor.p({
          name: "receiver"
        }),
        v: common_vendor.o(isTopChange),
        w: common_vendor.o(($event) => modelForm.value.isChecked = $event),
        x: common_vendor.p({
          modelValue: modelForm.value.isChecked
        }),
        y: common_vendor.t(modelForm.value.levemessage_toppoints),
        z: common_vendor.p({
          name: "istop"
        }),
        A: common_vendor.sr("formRef", "5c38bc18-1"),
        B: common_vendor.p({
          rules: _ctx.rules,
          model: modelForm.value
        }),
        C: common_vendor.o(onSubmit),
        D: common_vendor.o(confirm),
        E: common_vendor.o(($event) => isShowDelete.value = false),
        F: common_vendor.p({
          show: isShowDelete.value,
          title: "提示",
          showCancelButton: true
        }),
        G: common_vendor.t(modelForm.value.point),
        H: common_vendor.t(common_vendor.unref(totalPoints)),
        I: common_vendor.t(modelForm.value.levemessage_toppoints),
        J: common_vendor.t(modelForm.value.levemeesga_points),
        K: common_vendor.o(($event) => isShowTopModal.value = false),
        L: common_vendor.o(($event) => isShowTopModal.value = false),
        M: common_vendor.p({
          show: isShowTopModal.value,
          title: "积分不足",
          showCancelButton: true,
          confirmText: "马上去充值",
          cancelText: "下次再说"
        }),
        N: common_vendor.t(modelForm.value.point),
        O: common_vendor.t(modelForm.value.levemeesga_points),
        P: common_vendor.t(modelForm.value.levemeesga_points),
        Q: common_vendor.o(($event) => isShowReleaseModal.value = false),
        R: common_vendor.o(($event) => isShowReleaseModal.value = false),
        S: common_vendor.p({
          show: isShowReleaseModal.value,
          title: "积分不足",
          showCancelButton: true,
          confirmText: "马上去充值",
          cancelText: "下次再说"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMessageBoard/pages/release.vue"]]);
wx.createPage(MiniProgramPage);
