"use strict";
const common_vendor = require("../../common/vendor.js");
const api_my = require("../../api/my.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_uni_card2 = common_vendor.resolveComponent("uni-card");
  (_easycom_uni_icons2 + _easycom_uni_card2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_uni_card = () => "../../uni_modules/uni-card/components/uni-card/uni-card.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_uni_card)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "feedback",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const formState = common_vendor.ref({
      phone: "",
      message: ""
    });
    const onSubmit = async () => {
      if (formState.value.phone.trim() === "") {
        common_vendor.index.showToast({ icon: "none", title: "请输入联系电话" });
        return;
      }
      if (formState.value.message.trim() === "") {
        common_vendor.index.showToast({ icon: "none", title: "请输入建议" });
        return;
      }
      common_vendor.index.showModal({
        title: "确定要提交反馈吗？",
        success: async function(res) {
          if (res.confirm) {
            const res2 = await api_my.submitFeedback(formState.value);
            console.log(res2);
            if (res2.code == 200) {
              common_vendor.index.showToast({ icon: "success", title: res2.msg });
            }
            resetForm();
          } else if (res.cancel) {
            console.log("用户点击取消");
          }
        }
      });
    };
    const resetForm = () => {
      formState.value = {
        phone: "",
        message: ""
      };
    };
    const back = () => {
      common_vendor.index.navigateBack();
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(back),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: formState.value.phone,
        e: common_vendor.o(($event) => formState.value.phone = $event.detail.value),
        f: common_vendor.p({
          ["is-shadow"]: false,
          border: false,
          padding: "20"
        }),
        g: formState.value.message,
        h: common_vendor.o(($event) => formState.value.message = $event.detail.value),
        i: common_vendor.p({
          ["is-shadow"]: false,
          border: false,
          padding: "20"
        }),
        j: common_vendor.o(onSubmit),
        k: common_vendor.unref(safeAreaInsets).bottom + 0 + "px"
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMy/pages/feedback.vue"]]);
wx.createPage(MiniProgramPage);
