"use strict";
const common_vendor = require("../../common/vendor.js");
const api_my = require("../../api/my.js");
require("../../store/index.js");
const api_login = require("../../api/login.js");
const store_modules_member = require("../../store/modules/member.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_uni_file_picker2 = common_vendor.resolveComponent("uni-file-picker");
  (_easycom_uni_icons2 + _easycom_uni_file_picker2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_uni_file_picker = () => "../../uni_modules/uni-file-picker/components/uni-file-picker/uni-file-picker.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_uni_file_picker)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "personal_info",
  setup(__props) {
    const memberStore = store_modules_member.useMemberStore();
    const imageStyles = {
      width: 80,
      height: 80,
      border: {},
      background: "#F6F6F6"
    };
    const listStyles = {
      // 是否显示边框
      border: true,
      // 是否显示分隔线
      dividline: true,
      // 线条样式
      borderStyle: {
        width: 1,
        color: "blue",
        style: "dashed",
        radius: 2
      }
    };
    const qrcodeFileList = common_vendor.ref([]);
    const userInfo = common_vendor.ref({
      "id": 0,
      "invitation_uid": 0,
      "headimg": "",
      "headimg_id": "",
      "nickname": "",
      "balance": 0,
      "poster_img": "",
      "invitation_qrcode": "",
      "realname": "",
      "realphone": "",
      "wxskqrcode": "",
      "wxskqrcode_id": "0",
      wxskQrcodeList: []
    });
    const oldUserInfo = common_vendor.ref({
      "id": 0,
      "invitation_uid": 0,
      "headimg": "",
      "headimg_id": "",
      "nickname": "",
      "balance": 0,
      "poster_img": "",
      "invitation_qrcode": "",
      "realname": "",
      "realphone": "",
      "wxskqrcode": "",
      "wxskqrcode_id": "0",
      wxskQrcodeList: []
    });
    const findInfo = async () => {
      const res = await api_my.getUserInfo({});
      memberStore.setProfile(res.result);
      Object.assign(userInfo.value, res.result);
      Object.assign(oldUserInfo.value, res.result);
      qrcodeFileList.value = [];
      if (res.result.wxskqrcode_id && res.result.wxskqrcode_id != 0) {
        let x = {};
        x["url"] = res.result.wxskqrcode;
        x["extname"] = "";
        x["name"] = "file.txt";
        x["extname"] = "txt";
        x["uuid"] = res.result.wxskqrcode_id;
        userInfo.value.wxskQrcodeList.push(res.result.wxskqrcode_id);
        oldUserInfo.value.wxskQrcodeList.push(res.result.wxskqrcode_id);
        qrcodeFileList.value.push(x);
      }
    };
    common_vendor.onLoad(() => {
      findInfo();
    });
    const handleUploadAvatar = async (e) => {
      const avatarPath = e.detail.avatarUrl;
      common_vendor.index.uploadFile({
        url: "https://buildgroup.ccjjj.com/api/Uploadfile/uploadimgfile",
        name: "imgfile",
        filePath: avatarPath,
        success: (res) => {
          const data = JSON.parse(res.data);
          if (res.statusCode === 200) {
            userInfo.value.headimg_id = data.result.img_id || "";
            userInfo.value.headimg = data.result.img_url || "";
          } else {
            common_vendor.index.showToast({ icon: "none", title: data.msg });
          }
        }
      });
    };
    const handleNicknameChange = (e) => {
      userInfo.value.nickname = e.detail.value;
    };
    const bindmobile = (e) => {
      userInfo.value.realphone = e.detail.value;
    };
    const select = (e) => {
      common_vendor.index.showLoading({
        title: "上传中"
      });
      const tempFilePaths = e.tempFilePaths;
      tempFilePaths.forEach((tempFilePath) => {
        common_vendor.index.uploadFile({
          url: "https://buildgroup.ccjjj.com/api/Uploadfile/uploadimgfile",
          filePath: tempFilePath,
          name: "imgfile",
          header: {
            "Content-Type": "multipart/form-data; boundary=<calculated when request is sent>"
          },
          // 成功函数
          success: (res) => {
            let uploaddata = JSON.parse(res.data);
            let x = {};
            x["url"] = uploaddata.result.img_url;
            x["extname"] = "";
            x["name"] = "file.txt";
            x["extname"] = "txt";
            x["uuid"] = uploaddata.result.img_id;
            userInfo.value.wxskQrcodeList = [];
            userInfo.value.wxskQrcodeList.push(uploaddata.result.img_id);
            qrcodeFileList.value.push(x);
          },
          // 失败提示用户重新上传
          fail: (error) => {
            console.log("失败", error);
            common_vendor.index.showToast({ icon: "none", title: "图片上传失败，请重新上传" });
          }
        });
      });
      common_vendor.index.hideLoading();
    };
    const deleteImg = (e) => {
      userInfo.value.wxskQrcodeList.splice(e.index, 1);
      qrcodeFileList.value.splice(e.index, 1);
    };
    const uploadImgFail = (e) => {
      console.log("上传失败", e);
    };
    const onSubmit = async () => {
      if (JSON.stringify(userInfo.value) === JSON.stringify(oldUserInfo.value)) {
        common_vendor.index.showToast({ icon: "none", title: "请修改后在保存" });
        return;
      }
      if (userInfo.value.nickname.trim() == "") {
        common_vendor.index.showToast({ icon: "none", title: "请输入昵称" });
        return;
      }
      let form = common_vendor.ref({
        invitation_uid: userInfo.value.invitation_uid,
        headimg: userInfo.value.headimg_id,
        nickname: userInfo.value.nickname,
        realname: userInfo.value.realname,
        realphone: userInfo.value.realphone
      });
      if (userInfo.value.wxskQrcodeList && userInfo.value.wxskQrcodeList.length > 0) {
        form.value["wxskqrcode"] = userInfo.value.wxskQrcodeList.join(",");
      }
      const res = await api_login.setUserInfo(form.value);
      if (res.code == 200) {
        common_vendor.index.showToast({ icon: "success", title: res.msg });
        memberStore.setProfile(userInfo.value);
        const pages = getCurrentPages();
        if (pages.length > 1) {
          setTimeout(() => {
            common_vendor.index.navigateBack();
          }, 400);
        } else {
          common_vendor.index.switchTab({
            url: "pages/my/index"
          });
        }
      } else {
        common_vendor.index.showToast({ icon: "error", title: res.msg });
      }
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: userInfo.value.headimg
      }, userInfo.value.headimg ? {
        b: userInfo.value.headimg
      } : {
        c: common_vendor.p({
          type: "person-filled",
          size: "40",
          color: "#E2E2E2"
        })
      }, {
        d: common_vendor.o(handleUploadAvatar),
        e: common_vendor.o([($event) => userInfo.value.nickname = $event.detail.value, handleNicknameChange]),
        f: common_vendor.o(handleNicknameChange),
        g: userInfo.value.nickname,
        h: userInfo.value.realname,
        i: common_vendor.o(($event) => userInfo.value.realname = $event.detail.value),
        j: common_vendor.o([($event) => userInfo.value.realphone = $event.detail.value, bindmobile]),
        k: userInfo.value.realphone,
        l: common_vendor.o(select),
        m: common_vendor.o(deleteImg),
        n: common_vendor.o(uploadImgFail),
        o: common_vendor.o(($event) => qrcodeFileList.value = $event),
        p: common_vendor.p({
          limit: "1",
          imageStyles,
          listStyles,
          ["return-type"]: "array",
          modelValue: qrcodeFileList.value
        }),
        q: common_vendor.o(onSubmit)
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMy/pages/personal_info.vue"]]);
wx.createPage(MiniProgramPage);
