"use strict";
const common_vendor = require("../../common/vendor.js");
const api_my = require("../../api/my.js");
require("../../utils/request.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_up_parse2 = common_vendor.resolveComponent("up-parse");
  const _easycom_up_grid_item2 = common_vendor.resolveComponent("up-grid-item");
  const _easycom_up_grid2 = common_vendor.resolveComponent("up-grid");
  const _easycom_up_popup2 = common_vendor.resolveComponent("up-popup");
  (_easycom_uni_icons2 + _easycom_up_parse2 + _easycom_up_grid_item2 + _easycom_up_grid2 + _easycom_up_popup2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_up_parse = () => "../../uni_modules/uview-plus/components/u-parse/u-parse.js";
const _easycom_up_grid_item = () => "../../uni_modules/uview-plus/components/u-grid-item/u-grid-item.js";
const _easycom_up_grid = () => "../../uni_modules/uview-plus/components/u-grid/u-grid.js";
const _easycom_up_popup = () => "../../uni_modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_up_parse + _easycom_up_grid_item + _easycom_up_grid + _easycom_up_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "vip",
  setup(__props) {
    const { safeAreaInsets } = common_vendor.index.getSystemInfoSync();
    const message = common_vendor.ref();
    const queryList = async () => {
      common_vendor.index.showLoading();
      const res = await api_my.getvipequity();
      common_vendor.index.hideLoading();
      message.value = res.result.message || "";
    };
    common_vendor.onShow(() => {
      queryList();
      queryVipReloadList();
    });
    const back = () => {
      common_vendor.index.navigateBack();
    };
    const isShow = common_vendor.ref(false);
    const openPopup = () => {
      isShow.value = true;
    };
    const closePopup = () => {
      isShow.value = false;
    };
    const vipReloadList = common_vendor.ref([]);
    const queryVipReloadList = async () => {
      const res = await api_my.getvip();
      vipReloadList.value = res.result || [];
      if (vipReloadList.value.length > 0) {
        currentItemId.value = vipReloadList.value[0].id;
      }
    };
    const currentItemId = common_vendor.ref();
    const selectItem = (item) => {
      currentItemId.value = item.id;
    };
    const onSubmit = async () => {
      if (!currentItemId.value || currentItemId.value == "") {
        common_vendor.index.showToast({
          icon: "none",
          title: "请选择开通的项目"
        });
        return;
      }
      const res = await api_my.buyvip({ vipid: currentItemId.value });
      if (res.code == 200) {
        common_vendor.wx$1.requestPayment({
          appId: res.result.appId,
          timeStamp: res.result.timeStamp,
          nonceStr: res.result.nonceStr,
          package: res.result.package,
          signType: res.result.signType,
          paySign: res.result.paySign,
          success(res2) {
            common_vendor.index.showToast({ icon: "success", title: "支付成功" });
            setTimeout(() => {
              isShow.value = false;
              const pages = getCurrentPages();
              if (pages.length > 1) {
                setTimeout(() => {
                  common_vendor.index.navigateBack();
                }, 400);
              } else {
                common_vendor.index.switchTab({
                  url: "/pages/my/index"
                });
              }
            }, 400);
          },
          fail(err) {
            console.error("支付失败", err);
            if (err.errMsg.indexOf("cancel") > -1) {
              console.log("用户取消支付");
            } else {
              common_vendor.index.showToast({ icon: "error", title: "支付失败" });
              console.log("支付失败，非用户取消");
            }
          }
        });
      } else {
        common_vendor.index.showToast({
          icon: "error",
          title: res.msg
        });
      }
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.o(back),
        c: common_vendor.unref(safeAreaInsets).top + 10 + "px",
        d: common_vendor.p({
          content: message.value
        }),
        e: common_vendor.o(openPopup),
        f: common_vendor.f(vipReloadList.value, (i, k0, i0) => {
          return {
            a: common_vendor.t(i.price),
            b: common_vendor.t(i.title),
            c: currentItemId.value == i.id ? 1 : "",
            d: i.id,
            e: common_vendor.o(($event) => selectItem(i), i.id),
            f: "60f53e7b-4-" + i0 + ",60f53e7b-3"
          };
        }),
        g: common_vendor.p({
          col: "3"
        }),
        h: common_vendor.o(onSubmit),
        i: !currentItemId.value || currentItemId.value == "",
        j: common_vendor.o(closePopup),
        k: common_vendor.o(openPopup),
        l: common_vendor.p({
          show: isShow.value,
          mode: "bottom",
          safeAreaInsetBottom: true,
          closeOnClickOverlay: true
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/mac/Desktop/dazi/pagesMy/pages/vip.vue"]]);
wx.createPage(MiniProgramPage);
