"use strict";
const common_vendor = require("../../common/vendor.js");
const useMemberStore = common_vendor.defineStore(
  "member",
  () => {
    const profile = common_vendor.ref();
    const setProfile = (val) => {
      profile.value = val;
    };
    const clearProfile = () => {
      profile.value = void 0;
    };
    const token = common_vendor.ref();
    const setToken = (val) => {
      token.value = val;
    };
    const clearToken = () => {
      token.value = void 0;
    };
    const selectCity = common_vendor.ref();
    const setSelectCity = (val) => {
      selectCity.value = val;
    };
    const clearSelectCity = () => {
      selectCity.value = void 0;
    };
    const invitation_uid = common_vendor.ref();
    const setInvitationUid = (val) => {
      invitation_uid.value = val;
    };
    const clearInvitationUid = () => {
      invitation_uid.value = void 0;
    };
    return {
      profile,
      setProfile,
      clearProfile,
      token,
      setToken,
      clearToken,
      selectCity,
      setSelectCity,
      clearSelectCity,
      invitation_uid,
      setInvitationUid,
      clearInvitationUid
    };
  },
  {
    // 网页端配置
    // persist: true,
    // 小程序端配置
    persist: {
      storage: {
        getItem(key) {
          return common_vendor.index.getStorageSync(key);
        },
        setItem(key, value) {
          common_vendor.index.setStorageSync(key, value);
        }
      }
    }
  }
);
exports.useMemberStore = useMemberStore;
