"use strict";
const common_vendor = require("../common/vendor.js");
const baseUrl = "https://buildgroup.ccjjj.com";
const httpRequest = (params) => {
  common_vendor.index.onNetworkStatusChange(function(res) {
    if (!res.isConnected) {
      common_vendor.index.showToast({
        title: "网络连接不可用！",
        icon: "none"
      });
    }
    return false;
  });
  let httpDefaultOpts = {
    url: baseUrl + params.url,
    data: params.data,
    method: params.method,
    header: params.method == "get" ? {} : {
      "Content-Type": "application/json"
    }
  };
  console.log("请求参数是", httpDefaultOpts);
  let promise = new Promise(function(resolve, reject) {
    common_vendor.index.showLoading({
      title: "",
      duration: 1e3,
      icon: "none"
    });
    common_vendor.index.request(httpDefaultOpts).then(
      (res) => {
        console.log("请求结果是", res.data);
        resolve(res.data);
        common_vendor.index.hideLoading();
      }
    ).catch(
      (response) => {
        reject(response);
        common_vendor.index.hideLoading();
      }
    );
  });
  return promise;
};
const httpTokenRequest = (params) => {
  common_vendor.index.onNetworkStatusChange(function(res) {
    if (!res.isConnected) {
      common_vendor.index.showToast({
        title: "网络连接不可用！",
        icon: "none"
      });
    }
    return false;
  });
  let token = common_vendor.index.getStorageSync("token");
  if (token == "" || token == void 0 || token == null) {
    common_vendor.index.showToast({
      title: "账号已过期，请重新登录",
      icon: "none",
      duration: 1e3
    });
    common_vendor.index.navigateTo({
      url: "/pages/login/index"
    });
  } else {
    let httpDefaultOpts = {
      url: baseUrl + params.url,
      data: params.data,
      method: params.method,
      header: params.method == "get" ? {
        "user-token": token
      } : {
        "user-token": token,
        //把token设置成请求头，这个要看后端确定是什么字段
        "Content-Type": "application/json"
      },
      dataType: "json"
    };
    let promise = new Promise(function(resolve, reject) {
      console.log("请求参数是,", httpDefaultOpts);
      common_vendor.index.request(httpDefaultOpts).then(
        (res) => {
          if (res.statusCode >= 200 && res.statusCode < 300) {
            console.log("经过处理的请求结果是什么", res.data);
            resolve(res.data);
          } else if (res.statusCode == 500) {
            if (res.data.msg == "登录超时" || res.data.msg == "token参数错误或登录超时") {
              console.log("登录超时 || token参数错误或登录超时");
              common_vendor.index.showToast({
                title: res.data.msg,
                icon: "error"
              });
              common_vendor.index.removeStorageSync("token");
              memberStore.clearProfile();
              memberStore.clearToken();
              common_vendor.index.navigateTo({
                url: "/pages/login/index"
              });
            }
            reject(res);
          } else {
            reject(res);
            common_vendor.index.showToast({
              title: res.data.msg || "请求错误",
              icon: "error",
              duration: 1e3
            });
          }
        }
      ).catch(
        (response) => {
          reject(response);
        }
      );
    });
    return promise;
  }
};
const hadToken = () => {
  let token = common_vendor.index.getStorageSync("token");
  if (token == "" || token == void 0 || token == null) {
    common_vendor.index.showToast({
      title: "账号已过期，请重新登录",
      icon: "none"
    });
    return false;
  }
  return true;
};
const Request = {
  baseUrl,
  httpRequest,
  httpTokenRequest,
  hadToken
};
exports.Request = Request;
