const baseUrl = 'https://buildgroup.ccjjj.com'; //这是根域名
//const baseUrl = 'http://119.45.151.145'; //这是根域名

// 不带token请求 http://119.45.151.145
const httpRequest = (params) => {
	uni.onNetworkStatusChange(function(res) {
		if (!res.isConnected) {
			uni.showToast({
				title: '网络连接不可用！',
				icon: 'none'
			});
		}
		return false
	});
	let httpDefaultOpts = {
		url: baseUrl + params.url,
		data: params.data,
		method: params.method,
		header: params.method == 'get' ? {} : {
			'Content-Type': 'application/json'
		},
	}
	console.log("请求参数是", httpDefaultOpts)
	let promise = new Promise(function(resolve, reject) {
		uni.showLoading({
			title: "",
			duration: 1000,
			icon: "none"
		})
		uni.request(httpDefaultOpts).then(
			(res) => {
				console.log("请求结果是", res.data)
				resolve(res.data)
				uni.hideLoading()
			}
		).catch(
			(response) => {
				reject(response)
				uni.hideLoading()
			}
		)
	})
	return promise
};
//带Token请求
const httpTokenRequest = (params) => {
	uni.onNetworkStatusChange(function(res) {
		if (!res.isConnected) {
			uni.showToast({
				title: '网络连接不可用！',
				icon: 'none'
			});
		}
		return false
	});
	let token = uni.getStorageSync('token');

	// hadToken()
	if (token == '' || token == undefined || token == null) {
		uni.showToast({
			title: '账号已过期，请重新登录',
			icon: 'none',
			duration: 1000,
		});
		uni.navigateTo({
			url: '/pages/login/index'
		})
	} else {
		let httpDefaultOpts = {
			url: baseUrl + params.url,
			data: params.data,
			method: params.method,
			header: params.method == 'get' ? {
				'user-token': token,
			} : {
				'user-token': token, //把token设置成请求头，这个要看后端确定是什么字段
				'Content-Type': 'application/json'
			},
			dataType: 'json',
		}
		let promise = new Promise(function(resolve, reject) {
			console.log("请求参数是,", httpDefaultOpts)
			// if (isShowLoading) {
			// 	uni.showLoading({
			// 		title: "请求中",
			// 		duration: 1000,
			// 		icon: "none"
			// 	})
			// }

			uni.request(httpDefaultOpts).then(
				(res) => {
					// if (isShowLoading) {
					// 	uni.hideLoading()
					// }

					if (res.statusCode >= 200 && res.statusCode < 300) {
						console.log("经过处理的请求结果是什么", res.data)
						resolve(res.data)
					} else if (res.statusCode == 500) {
						
						if ((res.data).msg == '登录超时' || (res.data).msg == 'token参数错误或登录超时') {
							console.log('登录超时 || token参数错误或登录超时');
							uni.showToast({
								title: (res.data).msg,
								icon: 'error',
							})
							uni.removeStorageSync('token')
							memberStore.clearProfile()
							memberStore.clearToken()
							uni.navigateTo({
								url: '/pages/login/index'
							})
						}
						reject(res)

					} else {
						reject(res)
						uni.showToast({
							title: (res.data).msg || '请求错误',
							icon: 'error',
							duration: 1000
						})
					}
				}
			).catch(
				(response) => {
					reject(response)
				}
			)
		})
		return promise
	}
	// let token = uni.getStorageSync('token')
	//此token是登录成功后后台返回保存在storage中的

};

const hadToken = () => {
	let token = uni.getStorageSync('token');

	if (token == '' || token == undefined || token == null) {
		uni.showToast({
			title: '账号已过期，请重新登录',
			icon: 'none',

		});
		return false;
	}
	return true
}
export default {
	baseUrl,
	httpRequest,
	httpTokenRequest,
	hadToken
}