import { defineConfig } from "vite"
import uni from "@dcloudio/vite-plugin-uni";
 
export default defineConfig({
	plugins: [
		uni()
	],
	server: {
		proxy: {
			'/api1': { // 创建知识库文件上传 && 知识库问答 && LLM-文档问答
				target: 'http://103.91.179.52:50123',
				changeOrigin: true,
				rewrite: path => {
					return path.replace(/^\/api1/, '')
				}
			},
			'/api2': { // 向量服务
				target: 'http://182.18.83.118:32100',
				changeOrigin: true,
				rewrite: path => {
					return path.replace(/^\/api2/, '')
				}
			},
			'/api3': { // LLM-对话应用API接口
				target: 'http://182.18.83.118:30123',
				changeOrigin: true,
				rewrite: path => {
					return path.replace(/^\/api3/, '')
				}
			},
			'/api4': { // 我的后端服务地址
				target: 'http://122.114.58.242:9091',
				changeOrigin: true,
				rewrite: path => {
					return path.replace(/^\/api4/, '')
				}
			}
		}
	}
})